<?php /** @file */

function js_strings() {
	return replace_macros(get_markup_template('js_strings.tpl'), array(
		'$delitem'     => t('Delete this item?'),
		'$itemdel'     => t('Item deleted'),
		'$comment'     => t('Comment'),
		'$showmore'    => t('show all'),
		'$showfewer'   => t('show less'),
		'$divgrowmore' => t('expand'),
		'$divgrowless' => t('collapse'),
		'$pwshort'     => t("Password too short"),
		'$pwnomatch'   => t("Passwords do not match"),
		'$everybody'   => t('everybody'),
		'$passphrase'  => t('Secret Passphrase'),
		'$passhint'    => t('Passphrase hint'),
		'$permschange' => t('Notice: Permissions have changed but have not yet been submitted.'),
		'$closeAll'    => t('close all'),
		'$nothingnew'  => t('Nothing new here'),
		'$rating_desc' => t('Rate This Channel (this is public)'),
		'$rating_val'  => t('Rating'),
		'$rating_text' => t('Describe (optional)'),
		'$submit'      => t('Submit'),
		'$linkurl'     => t('Please enter a link URL'),
		'$leavethispage' => t('Unsaved changes. Are you sure you wish to leave this page?'),
		'$location'    => t('Location'),
		'$lovely'      => t('lovely'),
		'$wonderful'   => t('wonderful'),
		'$fantastic'   => t('fantastic'),
		'$great'       => t('great'),
		'$nick_invld1' => t('Your chosen nickname was either already taken or not valid. Please use our suggestion ('),
		'$nick_invld2' => t(') or enter a new one.'),
		'$nick_valid'  => t('Thank you, this nickname is valid.'),
		'$name_empty'  => t('A channel name is required.'),
		'$name_ok1'    => t('This is a '),
		'$name_ok2'    => t(' channel name'),
		'$to_reply'    => t('Back to reply'),
		'$pinned'      => t('Pinned'),
		'$pin_item'    => t('Pin to the top'),
		'$unpin_item'  => t('Unpin from the top'),

		// translatable prefix and suffix strings for jquery.timeago -
		// using the defaults set below if left untranslated, empty strings if
		// translated to "NONE" and the corresponding language strings
		// if translated to anything else
		'minutes'       => tt('%d minutes', '%d minutes', '%d'),
		'hours'         => tt('about %d hours', 'about %d hours', '%d'),
		'days'          => tt('%d days', '%d days', '%d'),
		'months'        => tt('%d months', '%d months', '%d'),
		'years'         => tt('%d years', '%d years', '%d'),

		'$January' => t('January'),
		'$February' => t('February'),
		'$March' => t('March'),
		'$April' => t('April'),
		'$May' => t('May','long'),
		'$June' => t('June'),
		'$July' => t('July'),
		'$August' => t('August'),
		'$September' => t('September'),
		'$October' => t('October'),
		'$November' => t('November'),
		'$December' => t('December'),
		'$Jan' => t('Jan'),
		'$Feb' => t('Feb'),
		'$Mar' => t('Mar'),
		'$Apr' => t('Apr'),
		'$MayShort' => t('May','short'),
		'$Jun' => t('Jun'),
		'$Jul' => t('Jul'),
		'$Aug' => t('Aug'),
		'$Sep' => t('Sep'),
		'$Oct' => t('Oct'),
		'$Nov' => t('Nov'),
		'$Dec' => t('Dec'),
		'$Sunday' => t('Sunday'),
		'$Monday' => t('Monday'),
		'$Tuesday' => t('Tuesday'),
		'$Wednesday' => t('Wednesday'),
		'$Thursday' => t('Thursday'),
		'$Friday' => t('Friday'),
		'$Saturday' => t('Saturday'),
		'$Sun' => t('Sun'),
		'$Mon' => t('Mon'),
		'$Tue' => t('Tue'),
		'$Wed' => t('Wed'),
		'$Thu' => t('Thu'),
		'$Fri' => t('Fri'),
		'$Sat' => t('Sat'),
		'$today' => t('today','calendar'),
		'$month' => t('month','calendar'),
		'$week' => t('week','calendar'),
		'$day' => t('day','calendar'),
		'$allday' => t('All day','calendar'),

		// mod cloud
		'$download_info' => t('Please stand by while your download is being prepared.'),

		// mod register
		'$email_not_valid' => t('Email address not valid'),
		'$email_required' => t('Required')

	));
}
